︠8472da6e-c2e1-4654-b9e3-5f59a7166ca8︠
def pop_cell_setup():
    html('''<script>
        var cell_delete_callback = function (status, response_text) {
            if (status == "failure") { 
                return;
            }
            var X = response_text.split(SEP);
            if (X[0] == 'ignore') {
                return; /* do not delete, for some reason */
            }
            var cell = get_element('cell_outer_' + X[1]);
            jQuery(cell).remove();
            //var worksheet = get_element('worksheet_cell_list');
            //worksheet.removeChild(cell);
            cell_id_list = delete_from_array(cell_id_list, X[1]);
            if (in_slide_mode) {
                current_cell = -1;
                slide_mode();
            }
        }
        var pop_cell_js = function (id) {
            if (jQuery('#cell_placeholder_' + id).length) {
                return;
            }
            var curr = jQuery('#cell_outer_' + id);
            var wid = Math.floor(curr.width() * 0.9) + 'px';
            var phdr = jQuery('<div id="cell_placeholder_' + id + '"></div>');   
            curr.before(phdr);
            curr.dialog({
                buttons: {
                   'bars': function (ev) {
                       var cont = jQuery(this).parents('.ui-dialog').children('.ui-dialog-container');
                       if (cont.css('overflow') === 'auto') {
                           cont.css('overflow', 'hidden');
                           jQuery(ev.target).text('bars');
                           curr.trigger('resize');
                       } else {
                           cont.css('overflow', 'auto');
                           jQuery(ev.target).text('no bars');
                           curr.trigger('resize');
                       }               
                }, 'pin': function (ev) {
                       var dial = jQuery(this).parents('.ui-dialog');
                       if (dial.hasClass('pinned')) {
                            jQuery(window).unbind('scroll.pin');
                            dial.removeClass('pinned');
                            jQuery(ev.target).text('pin');
                       } else {
                            jQuery(window).bind('scroll.pin', function () {
                                var repos = function () {
                                    dial.css('top', jQuery(window).scrollTop() + 'px');
                                };
                                setTimeout(repos, 500);
                            });
                            jQuery(window).trigger('scroll.pin');
                            dial.addClass('pinned');
                            jQuery(ev.target).text('unpin');
                       }
                }, 'close': function (ev) {
                       var kids = jQuery(this).parents('.ui-dialog').children('.ui-dialog-container').children(':gt(0)');
                       curr.dialog('close');
                       curr.dialog('destroy');
                       phdr.before(kids);
                       curr.css({display: '', height: '', minHeight: '', width: ''});
                       phdr.remove();
                }},
                height: '300px',
                width: wid,
                title: 'cell ' + id
            });
            var dial = curr.parents('.ui-dialog');
            dial.css({ backgroundColor: '#eef', padding: '0.5em', border: '1px solid #00f' });
            jQuery('.ui-dialog-titlebar', dial).css({ cursor: 'move' });
            jQuery('.ui-dialog-buttonpane', dial).css({ position: 'absolute', bottom: '', left: '', top: '0.5em', right: '1.5em' });
            jQuery('.ui-dialog-titlebar-close', dial).css({ display: 'none' });
       }
    </script>''')
def pop_cell():
    id = sage.server.notebook.interact.SAGE_CELL_ID
    html('<script>pop_cell_js(%d)</script>' % id)
def update_interact_cell(id):
    html('''<script>jQuery('input[value="Update"]', '#cell_outer_%d').trigger('click')</script>''' % id)
pop_cell_setup()
︡5460a2b3-d050-43a5-8fd4-af15fa6158bf︡︡
︠ab15ed91-9170-40dc-85d4-bf2c56ba1630︠
pop_cell()
︡992143a3-e349-4304-b696-ba587ebc2167︡︡
︠b0a2f8c5-9117-4959-badd-1f391d3fea88︠
pop_cell()
factorial(42)
︡b8e61781-14c3-4506-9049-9f7e01a2fefc︡︡
︠d2ef7477-ba12-4c81-b541-3b52ea2ca48c︠
pop_cell()
ordered_partitions(9,3)
︡5bc0252d-486c-4537-a9e1-fee4f6f65782︡︡
︠84d047ff-e8da-4d9b-8ea9-8f4de21565fc︠
pop_cell()
warp = 1
@interact
def _(a = slider(1, 4, default=2, label='Multiplier'), b = slider(0, 10, default=0, label='Phase Variable'), auto_update=False):
    show(plot(sin(a*(x^warp)+b), (x,0,6)), figsize=4)
︡610e4194-27b6-4379-8f5f-b59f5706c815︡︡
︠0f488096-5cd0-4be0-b652-0d32fde17adf︠
warp = 2
update_interact_cell(5)
︡af888a62-c6dc-4688-9ad0-4349903b4109︡︡
